### Method

# Gimp TextLayer set_font

since: 2.6

#### Declaration [src]

    gboolean
    gimp_text_layer_set_font (
      GimpTextLayer* layer,
      GimpFont* font
    )

#### Description [src]

Set the font of a text layer.

This procedure modifies the font used in the specified text layer.

Available since: 2.6

#### Parameters

`font`

  Type: `GimpFont`

  The new font to use.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

TRUE on success.